Bug 1228488 - [abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
Summary: [abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedeskto...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a8a82ac76c3554366a14d9a3162...
: 1229147 1230220 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-05 04:50 UTC by Szabo Akos
Modified: 2015-12-02 18:07 UTC (History)
22 users (show)

Fixed In Version: blueman-2.0-6.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 13:23:41 UTC


Attachments (Terms of Use)
File: backtrace (2.60 KB, text/plain)
2015-06-05 04:50 UTC, Szabo Akos
no flags Details
File: environ (2.04 KB, application/octet-stream)
2015-06-05 04:50 UTC, Szabo Akos
no flags Details

Description Szabo Akos 2015-06-05 04:50:13 UTC
Description of problem:
After booting come this.

Version-Release number of selected component:
blueman-2.0-5.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc21.x86_64
executable:     /usr/bin/blueman-applet
kernel:         4.0.4-202.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 120, in <module>
    BluemanApplet()
  File "/usr/bin/blueman-applet", line 62, in __init__
    self.Plugins.Load()
  File "/usr/lib/python2.7/site-packages/blueman/main/PluginManager.py", line 90, in Load
    __import__(self.module_path.__name__ + ".%s" % plugin, None, None, [])
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/DBusService.py", line 12, in <module>
    from blueman.main.applet.BluezAgent import AdapterAgent
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/BluezAgent.py", line 20, in <module>
    from blueman.bluez.Agent import Agent, AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 48, in <module>
    class Agent(dbus.service.Object):
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 56, in Agent
    @AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 38, in AgentMethod
    if BlueZInterface.get_interface_version()[0] < 5:
  File "/usr/lib/python2.7/site-packages/blueman/bluez/BlueZInterface.py", line 16, in get_interface_version
    obj = dbus.SystemBus().get_object('org.bluez', '/')
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7f7e8c0759b0>
args: (u'org.bluez', 0)
object_path: '/org/freedesktop/DBus'
signature: 'su'
bus_name: 'org.freedesktop.DBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.freedesktop.DBus'
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
method: 'StartServiceByName'

Comment 1 Szabo Akos 2015-06-05 04:50:17 UTC
Created attachment 1034992 [details]
File: backtrace

Comment 2 Szabo Akos 2015-06-05 04:50:18 UTC
Created attachment 1034993 [details]
File: environ

Comment 3 leigh scott 2015-06-05 05:51:48 UTC
post

ls -l /etc/systemd/system/dbus-org.bluez.service

Comment 4 leigh scott 2015-06-05 05:53:01 UTC
and

ls -l /usr/lib/systemd/system/bluetooth.service

Comment 5 leigh scott 2015-06-05 08:39:55 UTC
Ok I think I've located the issue, run


su
dnf install bluez

Comment 6 Fedora Update System 2015-06-05 08:53:07 UTC
blueman-2.0-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/blueman-2.0-6.fc22

Comment 7 Fedora Update System 2015-06-05 08:53:11 UTC
blueman-2.0-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/blueman-2.0-6.fc21

Comment 8 Fedora Update System 2015-06-05 08:53:16 UTC
blueman-2.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/blueman-2.0-6.fc20

Comment 9 Szabo Akos 2015-06-05 13:13:58 UTC
(In reply to leigh scott from comment #5)
> Ok I think I've located the issue, run
> 
> 
> su
> dnf install bluez

I've got this:

root@cellaxps:~# dnf install bluez
Using metadata from Tue Jun  2 21:13:38 2015 (2 days, 17:56:30 hours old)
Package bluez-5.29-2.fc21.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Comment 10 leigh scott 2015-06-05 14:18:37 UTC
(In reply to Szabo Akos from comment #9)
> (In reply to leigh scott from comment #5)
> > Ok I think I've located the issue, run
> > 
> > 
> > su
> > dnf install bluez
> 
> I've got this:
> 
> root@cellaxps:~# dnf install bluez
> Using metadata from Tue Jun  2 21:13:38 2015 (2 days, 17:56:30 hours old)
> Package bluez-5.29-2.fc21.x86_64 is already installed, skipping.
> Dependencies resolved.
> Nothing to do.
> Complete!


It's bluez job to enable the service, run


su
systemctl enable bluetooth.service
systemctl start bluetooth.service

Comment 11 Fedora Update System 2015-06-07 16:00:28 UTC
blueman-2.0-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-07 16:02:57 UTC
blueman-2.0-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-06-07 16:04:13 UTC
blueman-2.0-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 leigh scott 2015-06-08 11:54:58 UTC
*** Bug 1229147 has been marked as a duplicate of this bug. ***

Comment 15 leigh scott 2015-06-10 13:05:21 UTC
*** Bug 1230220 has been marked as a duplicate of this bug. ***

Comment 16 Master_Sergius 2015-06-14 16:22:08 UTC
Another user experienced a similar problem:

Laptop just started with this error. Howewer, before that I disabled bluetooth.service from autostart 

reporter:       libreport-2.2.3
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-1.fc20.i686
executable:     /usr/bin/blueman-applet
kernel:         3.19.8-100.fc20.i686
package:        blueman-2.0-6.fc20
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 5
type:           Python
uid:            1000

Comment 17 Louis van Dyk 2015-06-20 00:20:02 UTC
Another user experienced a similar problem:

This happened after my PC rebooted. But of note is I don't have a bluetooth adapter on my PC, although I did ONCE test a USB BT dongle a long time ago.  Blueman was pulled in as a dependency with a set of patches about 2 weeks ago, when I was still on F21.

reporter:       libreport-2.5.1
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
event_log:      2015-06-20-02:16:40> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.0.4-303.fc22.x86_64
package:        blueman-2.0-6.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       3 5
type:           Python
uid:            1000

Comment 18 leigh scott 2015-06-20 04:44:36 UTC
@fedora@cschramm.eu

Hi Christopher,

Could blueman be made to issue a warning message about the bluez service not running instead raising an exception crash/exit which triggers abrt report?


Regards

Leigh

Comment 19 Christopher Schramm 2015-06-20 06:46:43 UTC
The BlueZ service should be auto-started if it's not running already, but it looks like systemd will prevent that is the service is disabled (not only stopped). I created an upstream ticket for that: https://github.com/blueman-project/blueman/issues/310

Comment 20 João Carlos Mendes Luís 2015-06-22 22:10:03 UTC
I have just trapped this bug.

The problem is, I don't have a bluetooth device in this computer.  I'd expect both bluez and blueman to quietly exit, after logging the reason.

Comment 21 yorikcombined 2015-06-28 07:01:08 UTC
Another user experienced a similar problem:

boot after update

reporter:       libreport-2.6.0
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
event_log:      2015-06-28-15:00:22> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.0.5-300.fc22.x86_64
package:        blueman-2.0-7.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 5
type:           Python
uid:            1001

Comment 22 jesonlay 2015-07-01 13:03:33 UTC
Another user experienced a similar problem:

blueman-applet can't start , 
boot log :"dbus.exceptions.DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such "

reporter:       libreport-2.6.0
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.i686
executable:     /usr/bin/blueman-applet
kernel:         4.0.6-300.fc22.i686
package:        blueman-2.0-7.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 5
type:           Python
uid:            1000

Comment 23 Stanislovas 2015-07-06 17:45:06 UTC
Another user experienced a similar problem:

On Gnome shell start-up

reporter:       libreport-2.6.0
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
event_log:      2015-07-06-20:43:16> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.0.7-200.fc21.x86_64
package:        blueman-2.0-9.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       1 5
type:           Python
uid:            1000

Comment 24 Pat McClung 2015-08-03 17:10:37 UTC
Another user experienced a similar problem:

Fedora 22 Gnome desktop startup.
Fails with KDE also.

reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
executable:     /usr/bin/blueman-applet
kernel:         4.1.3-200.fc22.x86_64
package:        blueman-2.0-11.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 5
type:           Python
uid:            1000

Comment 25 Louis van Dyk 2015-08-13 20:50:37 UTC
Another user experienced a similar problem:

I rebooted, and logged in.  It happens every time.  I do not have a bluetooth device on my PC, although I put a BT dongle in a few releases ago of Fedora.

reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
event_log:      2015-08-13-22:49:28> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.1.4-200.fc22.x86_64
package:        blueman-2.0-11.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 5
type:           Python
uid:            1000

Comment 26 Bohumil Kriz 2015-08-17 19:23:56 UTC
Another user experienced a similar problem:

# disable starting bluetooth
systemctl stop bluetooth.service
systemctl disable bluetooth.service
mv /etc/xdg/autostart/blueman.desktop /etc/xdg/autostart/blueman.bak
# Then probably upgrade of bluez package

reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
event_log:      2015-08-17-21:22:12> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.1.4-200.fc22.x86_64
package:        blueman-2.0-11.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 5
type:           Python
uid:            1000

Comment 27 Phu 2015-09-23 22:57:22 UTC
Another user experienced a similar problem:

Connect to machine via vncviewer or on console with 'startx'

reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
executable:     /bin/blueman-applet
kernel:         4.0.4-301.fc22.x86_64
package:        blueman-2.0-11.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 3
type:           Python
uid:            30023

Comment 28 Fedora End Of Life 2015-11-04 10:03:05 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 29 hlx98007 2015-11-10 01:04:43 UTC
Another user experienced a similar problem:

I started Bluetooth Adapters and it crashed.

reporter:       libreport-2.6.3
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
event_log:      2015-11-09-20:03:52> ('report_uReport' completed successfully)
executable:     /usr/bin/blueman-applet
kernel:         4.2.3-200.fc22.x86_64
package:        blueman-2.0-11.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.systemd1.LoadFailed: Unit dbus-org.bluez.service failed to load: No such file or directory.
runlevel:       N 5
type:           Python
uid:            1000

Comment 30 Fedora End Of Life 2015-12-02 13:23:57 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.